Isi

# Fungsi StrComp

Membandingkan dua string dan mengembalikan nilai integer yang mewakili hasil perbandingan.

### Sintaksis:

    StrComp (string1 As String, string2 As String[, Compare As Integer]) As Integer

### Parameter:

string1: Any string expression

string2: Any string expression

Compare: This optional parameter sets the comparison method. If Compare = 1, the string comparison is case-sensitive. If Compare = 0, no distinction is made between uppercase and lowercase letters.

### Nilai balikan:

Integer

- If string1 < string2 the function returns -1

- If string1 = string2 the function returns 0

- If string1 > string2 the function returns 1

### Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

### Contoh:

    Sub ExampleStrComp
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = Str$(iVar)
        MsgBox strcomp(sVar , Str$(iVar),1)
    End Sub